variables:
  PYLINT_THRESHOLD: "8"
  PYTEST_COVERAGE_THRESHOLD: "50"

include:
  - remote: https://jobs.just-ci.dev/v3.2.5/'docker/kaniko.yml'
  - remote: https://jobs.just-ci.dev/v3.2.5/'python/black.yml'
  - remote: https://jobs.just-ci.dev/v3.2.5/'python/pylint.yml'
  - remote: https://jobs.just-ci.dev/v3.2.5/'python/pytest.yml'
  - remote: https://jobs.just-ci.dev/v3.2.5/'python/pip-outdated.yml'
  - remote: https://jobs.just-ci.dev/v3.2.5/'python/bandit.yml'
  - remote: https://jobs.just-ci.dev/v3.2.5/'python/safety.yml'
  - remote: https://jobs.just-ci.dev/v3.2.5/'python/semantic-release/private.yml'
